Bug 103333 - [CSS Grid Layout] Support default grid items sizing
Summary: [CSS Grid Layout] Support default grid items sizing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Julien Chaffraix
URL:
Keywords: EasyFix
Depends on: 112724
Blocks: 60731
  Show dependency treegraph
 
Reported: 2012-11-26 17:38 PST by Julien Chaffraix
Modified: 2013-03-21 07:55 PDT (History)
8 users (show)

See Also:


Attachments
Proposed change: failing some tests due to another bug, will be fixed in a follow-up patch. (21.14 KB, patch)
2013-03-20 12:04 PDT, Julien Chaffraix
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Chaffraix 2012-11-26 17:38:17 PST
'grid-auto-columns’ and ‘grid-auto-rows’ are used to change the default track sizing function (the default is 'auto').
Comment 1 Julien Chaffraix 2013-02-01 07:39:02 PST
We support implicit rows and columns now that bug 103573 has landed so this is super easy to fix this bug. The specification is unstable ATM so it's probably better to wait a week or 2 before adding it (due to the W3C F2F).
Comment 2 Julien Chaffraix 2013-03-20 12:04:55 PDT
Created attachment 194094 [details]
Proposed change: failing some tests due to another bug, will be fixed in a follow-up patch.
Comment 3 WebKit Review Bot 2013-03-21 07:55:35 PDT
Comment on attachment 194094 [details]
Proposed change: failing some tests due to another bug, will be fixed in a follow-up patch.

Clearing flags on attachment: 194094

Committed r146467: <http://trac.webkit.org/changeset/146467>
Comment 4 WebKit Review Bot 2013-03-21 07:55:39 PDT
All reviewed patches have been landed.  Closing bug.